Intrusion Prevention

Google.SketchUp.3ds.File.Memory.Corruption

Description

This indicates an attack attempt against a memory corruption vulnerability in
Google SketchUp.
The vulnerability is caused by an error when the vulnerable software handles
a malicious ".3DS" file. It may allow a remote attacker to execute arbitrary code.

Affected Products

Google Sketchup 7.1.4871 and prior versions.

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to the latest version, available from the Web site.
http://sketchup.google.com/

CVE References

CVE-2010-0280